import { z } from "zod";
export const CurrentUserProfileSchema = z.object({
  company_id: z.string().optional(),
  created_at: z.number().optional(),
  created_by: z.string().optional(),
  department: z.string().optional(),
  email: z.string().email().optional(),
  full_name: z.string().optional(),
  id: z.string().optional(),
  is_verified: z.boolean().optional(),
  last_login_at: z.number().optional(),
  phone: z.string().optional(),
  position: z.string().optional(),
  profile_image: z.string().optional(),
  role: z.string().optional(),
  status: z.string().or(z.number()).optional(),
  updated_at: z.string().or(z.number()).optional(),
  updated_by: z.string().optional(),
  username: z.string().optional(),
});
export type TCurrentUser = z.infer<typeof CurrentUserProfileSchema>;
